Subject: bug#865: 23.0.60; The directory is unsafe today

From: "Juanma Barranquero" <[email-masked]>
Date: Wed, 3 Sep 2008 01:25:43 +0200

On Wed, Sep 3, 2008 at 01:19, Lennart Borgman (gmail)
<[email-masked]> wrote:

> I got your point, but I still think it is better to try to catch the
> error there.

Why? Deleting the old server-file is irrelevant, it's just cleanup.
Failing to do it does not affect the Emacs server.

Failing to write a new server file *is* a problem: you won't be able
to communicate with emacsclient, or it will use erroneous or malicious
data.

The relevant operations there are `(make-network-process ... :service
server-file ...)' and `(with-temp-file server-file ...)'; these are
the ones that should signal an error if something fails. And they do.

 Juanma